<?php
function ShowEditMSGForm(){
  $id = (int)substr($_GET['id'], 0, 7); //на всякий случай ограничиваем длину

  if ($GLOBALS['islogged']){ //если есть логин
    if (isset($_SESSION['EditMsgForm'])){ // если форма уже была заполнена но с ошибками, все данные берём из сессии
      $error = $_SESSION['EditMsgForm']['error'];
      $text = $_SESSION['EditMsgForm']['text'];
      $URLfrom = $_SESSION['EditMsgForm']['URLfrom'];
      unset($_SESSION['EditMsgForm']);
    }else{ //в противном случае все поля по умолчанию
      $error = '';
      $URLfrom = $_SERVER['HTTP_REFERER'];
      $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT text FROM posts WHERE id_msg=? LIMIT 1');
      mysqli_stmt_bind_param($stmt, 'i', $id);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_bind_result($stmt, $text); //текст сообщения
      mysqli_stmt_fetch($stmt);
      mysqli_stmt_close($stmt);
    }
  }else{ //если логона нету
    $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
      <tr><td><div align="center">Авторизуйтесь, чтобы редактировать сообщения.</div></td></tr><tr><td height="10px"></td></tr></table>';  
    return $html; //не используем сообщения ai=200 чтобы после авторизации вернуться на ту же страницу
    exit();
  }

  $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT id_author FROM posts WHERE id_msg=? LIMIT 1'); //проверяем есть ли сообщение и его автор
  mysqli_stmt_bind_param($stmt, 'i', $id);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $id_author); 
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  if (!isset($id_author)){
    $_SESSION['msg'] = 'Такого сообщения нет.';
    if (isset($_SERVER['HTTPS'])) header('Location: https://'.$GLOBALS['HostName'].'/?ai=200');
    else header('Location: http://'.$GLOBALS['HostName'].'/?ai=200');
    exit();
  }

  if ($id_author != $_COOKIE['iduser']){
    $_SESSION['msg'] = 'Нельзя редактировать чужие сообщения.';
    if (isset($_SERVER['HTTPS'])) header('Location: https://'.$GLOBALS['HostName'].'/?ai=200');
    else header('Location: http://'.$GLOBALS['HostName'].'/?ai=200');  
    exit();
  }

  $stmt = mysqli_prepare($GLOBALS['DB'], "SELECT name, avatar FROM users WHERE iduser=? LIMIT 1");
  mysqli_stmt_bind_param($stmt, 'i', intval($_COOKIE['iduser']));
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $username, $avatar); // данные пользователя
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  $html = file_get_contents('./templates/msgform.html');
  $html = str_replace('{action}', './TryUpdateMsg.php', $html);
  $html = str_replace('{butvalue}', 'Сохранить', $html);
  $html = str_replace('{topicname}', 'Редактирование сообщения', $html);
  $html = str_replace('{id_topic}', $id, $html); //используем это скрытое поле для передачи id-сообщения
  $html = str_replace('{URLfrom}', $URLfrom, $html); //запоминаем страницу, с которой мы сюда попали (это либо топик, либо список сообщений)
  $html = str_replace('{error}', $error, $html);
  if (!empty($avatar)) //если аватар есть - выводим его
  $html = str_replace('{avatar}','<img src="./avatars/'.$avatar.'.jpg" alt="Аватар">', $html); 
  else $html = str_replace('{avatar}','', $html);
  $html = str_replace('{name}',$username, $html);
  $html = str_replace('{message}', $text, $html);

  return $html;
}
?>