<?php
function ShowUserQuest(){
  $id = substr($_GET['id'], 0, 5); // id участника
  
  $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT name, deleted FROM users WHERE iduser=? LIMIT 1');
  mysqli_stmt_bind_param($stmt, 'i', intval($id));
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $authname, $deleted);
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  if (!$deleted and !empty($authname)){ //если такой участник есть

    $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT id_item FROM quest WHERE id_author=? LIMIT 1'); //проверяем есть ли анкета у данного участника
    mysqli_stmt_bind_param($stmt, 'i', intval($id));
    mysqli_stmt_execute($stmt);
    mysqli_stmt_bind_result($stmt, $id_item); 
    mysqli_stmt_fetch($stmt);
    mysqli_stmt_close($stmt);

    if (isset($id_item)){ //если анкета есть берём данные из неё
      $ans = array();
      $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT ans1, ans2, ans3, ans4, ans5, ans6, ans7, ans8, ans9, ans10, ans11, ans12 FROM quest WHERE id_item=? LIMIT 1');
      mysqli_stmt_bind_param($stmt, 'i', $id_item);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_bind_result($stmt, $ans[1], $ans[2], $ans[3], $ans[4], $ans[5], $ans[6], $ans[7], $ans[8], $ans[9], $ans[10], $ans[11], $ans[12]); 
      mysqli_stmt_fetch($stmt);
      mysqli_stmt_close($stmt);

      require 'answers.php';
      $html = file_get_contents('./templates/QuestForm.html');
    
      $html = str_replace('{name}', ' "'.$authname.'"', $html);
      $html = str_replace('{button}', '', $html);
    
      for ($j = 1; $j <= count($anses); $j++){ //замещаем заглушки html-кодом
        if ($ans[$j][0] == '1'){
          $otvet = substr($ans[$j], 1);
        }else{
          $otvet = $anses[$j][intval($ans[$j][0])];
        }
        $temp = '<div style="white-space: pre-wrap; word-wrap: break-word; margin-left: 5px">'.$otvet.'</div>';
        $html = str_replace('{a'."$j".'}', $temp, $html);
      }

    }else{ //если анкеты нет, уведомляем
      $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
      <tr><td><div align="center">Участник не заполнил анкету.</div></td></tr><tr><td height="10px"></td></tr></table>';
    }
  }else{ //если такого участника нет
    $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
    <tr><td><div align="center">Такого участника нет.</div></td></tr><tr><td height="10px"></td></tr></table>';
  }
  return $html;
}
?>