<?php
require 'const.php';
session_start();

if (!isset($_POST['q1']) or //если что-то отсутствует либо нет куков авторизации, запускаем заглавную страницу
    !isset($_POST['q2']) or
    !isset($_POST['q3']) or
    !isset($_POST['q4']) or
    !isset($_POST['q5']) or
    !isset($_POST['q6']) or
    !isset($_POST['q7']) or
    !isset($_POST['q8']) or
    !isset($_POST['q9']) or
    !isset($_POST['q10']) or
    !isset($_POST['q11']) or
    !isset($_POST['q12']) or
    !isset($_COOKIE['iduser']) or
    !isset($_COOKIE['hash']))
{
  if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName);
  else header('Location: http://'.$HostName);
  exit();
}

$iduser = intval($_COOKIE['iduser']);

$DB = mysqli_connect($DBhost, $DBuser, $DBpwd);
if ($DB !== false){
  mysqli_select_db($DB, $DBname);

  $stmt = mysqli_prepare($DB, 'SELECT user_hash FROM users WHERE iduser=? LIMIT 1');
  mysqli_stmt_bind_param($stmt, 'i', $iduser);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $user_hash);
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  if ($user_hash !== $_COOKIE['hash']){ //если хэши не совпадают запускаем заглавную страницу
    if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName);
    else header('Location: http://'.$HostName);
    exit();
  }

  $ans = array();
  // копируем ответы и проверяем на пустой ответ
  for ($j = 1; $j <= 12; $j++){
    if (empty($_POST['q'."$j"])) $ans[$j]='0';
    else $ans[$j] = $_POST['q'."$j"];
  }

  // вставляем свой ответ участника, если таковой есть - если нет ставим '0'
  for ($j = 1; $j <= 12; $j++){
    if ($ans[$j]=='1'){
      if (empty($_POST['myans'."$j"])){
        $ans[$j] = '0';
      }else{
        $ans[$j] = '1'.$_POST['myans'."$j"]; //единица как условный код специального ответа
      }
    }
  }

  $empt = true; //проверяем все ли ответы пустые
  for ($j = 1; $j <= 12; $j++){
    if ($ans[$j] != '0'){
      $empt = false;
      break;
    }
  }  

  $stmt = mysqli_prepare($DB, 'SELECT id_item FROM quest WHERE id_author=? LIMIT 1'); //проверяем есть ли анкета у данного участника
  mysqli_stmt_bind_param($stmt, 'i', $iduser);
  mysqli_stmt_execute($stmt);
  mysqli_stmt_bind_result($stmt, $id_item); 
  mysqli_stmt_fetch($stmt);
  mysqli_stmt_close($stmt);

  if (isset($id_item)){ //если анкета есть обновляем её
    if (!$empt){ //если есть хотя бы 1-н ответ
      $stmt = mysqli_prepare($DB, 'UPDATE quest SET ans1=?, ans2=?, ans3=?, ans4=?, ans5=?, ans6=?, ans7=?, ans8=?, ans9=?, ans10=?, ans11=?, ans12=? WHERE id_item=?');
      mysqli_stmt_bind_param($stmt, 'ssssssssssssi', $ans[1], $ans[2], $ans[3], $ans[4], $ans[5], $ans[6], $ans[7], $ans[8], $ans[9], $ans[10], $ans[11], $ans[12], $id_item);
      mysqli_stmt_execute($stmt);
      $dber = mysqli_stmt_error($stmt);
      mysqli_stmt_close($stmt);
    }else{ //если все ответы пустые удаляем анкету
      $stmt = mysqli_prepare($DB, 'DELETE FROM quest WHERE id_item=? LIMIT 1');
      mysqli_stmt_bind_param($stmt, 'i', $id_item);
      mysqli_stmt_execute($stmt);
      $dber = mysqli_stmt_error($stmt);
      mysqli_stmt_close($stmt);
    }
  }else{ //если анкеты нет, создаём её
    if (!$empt){ //если есть хотя бы 1-н ответ
      $stmt = mysqli_prepare($DB,'INSERT INTO quest SET id_author=?, ans1=?, ans2=?, ans3=?, ans4=?, ans5=?, ans6=?, ans7=?, ans8=?, ans9=?, ans10=?, ans11=?, ans12=?');
      mysqli_stmt_bind_param($stmt, 'issssssssssss', $iduser, $ans[1], $ans[2], $ans[3], $ans[4], $ans[5], $ans[6], $ans[7], $ans[8], $ans[9], $ans[10], $ans[11], $ans[12]);
      mysqli_stmt_execute($stmt);
      $dber = mysqli_stmt_error($stmt);
      mysqli_stmt_close($stmt);
    }
  }

  mysqli_close($DB);

  if (empty($dber)){ //если обновление в базе произошло без ошибок
    if (!$empt){ //если есть хотя бы 1-н ответ
      if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName.'/?ai=54&id='."$iduser");//переходим на публичную форму анкеты
      else header('Location: https://'.$HostName.'/?ai=54&id='."$iduser");
    }else{ //если ответов нет, переходим откуда пришли
      header('Location: '.$_SERVER['HTTP_REFERER']);
    }
  }else{ //иначе показываем ошибку
    $_SESSION['msg'] = 'Ошибка базы данных: '.$dber;
    if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName.'/?ai=200');
    else header('Location: http://'.$HostName.'/?ai=200');
  }
}else{
  $_SESSION['msg'] = 'Ошибка соединения с базой данных: '.mysqli_connect_error();
  if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName.'/?ai=200');
  else header('Location: http://'.$HostName.'/?ai=200');
}
?>