<?php
require 'const.php';
$DB = mysqli_connect($DBhost, $DBuser, $DBpwd);
if ($DB == false) print("Ошибка соединения с базой данных:".mysqli_connect_error());
else {
mysqli_select_db($DB, $DBname);

$sql = "create table users (
iduser MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
user_hash varchar(32) NOT NULL,
email varchar(129) NOT NULL,
name varchar(100) NOT NULL,
pass varchar(32) NOT NULL,
phone varchar(32) NOT NULL DEFAULT '',
user_ip varchar(16) NOT NULL DEFAULT '',
smscode varchar(6) NOT NULL default '0',
emailcode varchar(6) NOT NULL default '0',
timezone tinyint(2) NOT NULL DEFAULT '0',
timeformat varchar(20) NOT NULL DEFAULT 'H:i d.m.Y',
tpp MEDIUMINT UNSIGNED NOT NULL DEFAULT '20',
mpp MEDIUMINT UNSIGNED NOT NULL DEFAULT '20',
about varchar(1000) NOT NULL default '',
showonline BOOLEAN NOT NULL DEFAULT '0',
mailpmnotice BOOLEAN NOT NULL DEFAULT '0',
regtime datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
timevisit datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
avatar varchar(7) NOT NULL DEFAULT '',
topics SMALLINT UNSIGNED NOT NULL default '0',
posts MEDIUMINT UNSIGNED NOT NULL default '0',
deleted BOOLEAN NOT NULL DEFAULT '0',
status enum('readonly','write','create') NOT NULL DEFAULT 'readonly',
admin tinyint NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8mb4";

if (mysqli_query($DB, $sql)) echo "Таблица <strong>users</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>users</strong>: ".mysqli_error($DB);
echo '<br>';

$sql = "create table mailcounter (
idmail INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
email varchar(129) NOT NULL,
sendtime datetime NOT NULL
) DEFAULT CHARSET=utf8mb4";

if (mysqli_query($DB, $sql)) echo "Таблица <strong>mailcounter</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>mailcounter</strong>: ".mysqli_error($DB);   
echo '<br>'; 

$sql = "create table smscounter (
idsms INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
phone varchar(32) NOT NULL,
user_hash varchar(32) NOT NULL,
user_ip varchar(16) NOT NULL,
sendtime datetime NOT NULL
) DEFAULT CHARSET=utf8mb4";
    
if (mysqli_query($DB, $sql)) echo "Таблица <strong>smscounter</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>smscounter</strong>: ".mysqli_error($DB);   
echo '<br>'; 

$sql = "create table pm (
id_pm MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_to MEDIUMINT UNSIGNED NOT NULL,
isread BOOLEAN NOT NULL DEFAULT '0',
isdelete_to BOOLEAN NOT NULL DEFAULT '0',
isdelete_from BOOLEAN NOT NULL DEFAULT '0',
id_from MEDIUMINT UNSIGNED NOT NULL,
sendtime datetime NOT NULL,
topic VARCHAR(300) NOT NULL,
message VARCHAR(30000) NOT NULL
) DEFAULT CHARSET=utf8mb4";
        
if (mysqli_query($DB, $sql)) echo "Таблица <strong>pm</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>pm</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table claims (
id_claim MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
type tinyint NOT NULL,
id_from MEDIUMINT UNSIGNED NOT NULL,
id_to MEDIUMINT UNSIGNED NOT NULL,
text VARCHAR(2000) NOT NULL,
createtime datetime NOT NULL,
status enum('vote', 'satisfy', 'reject') NOT NULL DEFAULT 'vote'
) DEFAULT CHARSET=utf8mb4";
            
if (mysqli_query($DB, $sql)) echo "Таблица <strong>claims</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>claims</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table votes (
id_vote MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_from MEDIUMINT UNSIGNED NOT NULL,
id_claim MEDIUMINT UNSIGNED NOT NULL,
createtime datetime NOT NULL,
vote tinyint NOT NULL
) DEFAULT CHARSET=utf8mb4";
                
if (mysqli_query($DB, $sql)) echo "Таблица <strong>votes</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>votes</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table topics (
id_topic MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
type tinyint NOT NULL,
id_author MEDIUMINT UNSIGNED NOT NULL,
name VARCHAR(300) NOT NULL,
createtime datetime NOT NULL,
id_lastuser MEDIUMINT UNSIGNED NOT NULL,
id_lastmsg MEDIUMINT UNSIGNED NOT NULL DEFAULT '0',
lasttime datetime NOT NULL,
msgs MEDIUMINT UNSIGNED NOT NULL DEFAULT '1',
views INT UNSIGNED NOT NULL DEFAULT '0',
likes SMALLINT UNSIGNED NOT NULL DEFAULT '0',
deleted BOOLEAN NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8mb4";
                    
if (mysqli_query($DB, $sql)) echo "Таблица <strong>topics</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>topics</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table posts (
id_msg MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_author MEDIUMINT UNSIGNED NOT NULL,
id_topic MEDIUMINT UNSIGNED NOT NULL,
text VARCHAR(100000) NOT NULL,
createtime datetime NOT NULL,
edittime datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
likes SMALLINT UNSIGNED NOT NULL DEFAULT '0',
disagrees SMALLINT UNSIGNED NOT NULL DEFAULT '0',
deleted BOOLEAN NOT NULL DEFAULT '0'
) DEFAULT CHARSET=utf8mb4";
                        
if (mysqli_query($DB, $sql)) echo "Таблица <strong>posts</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>posts</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table wblist (
id_item MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_from MEDIUMINT UNSIGNED NOT NULL,
id_to MEDIUMINT UNSIGNED NOT NULL,
listid TINYINT NOT NULL
) DEFAULT CHARSET=utf8mb4";
    
if (mysqli_query($DB, $sql)) echo "Таблица <strong>wblist</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>wblist</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table newmsgs (
id_item INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_topic MEDIUMINT UNSIGNED NOT NULL,
iduser MEDIUMINT UNSIGNED NOT NULL
) DEFAULT CHARSET=utf8mb4";
        
if (mysqli_query($DB, $sql)) echo "Таблица <strong>newmsgs</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>newmsgs</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table lastvisits (
id_item INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_topic MEDIUMINT UNSIGNED NOT NULL,
iduser MEDIUMINT UNSIGNED NOT NULL,
timevisit datetime NOT NULL DEFAULT '0000-00-00 00:00:00'
) DEFAULT CHARSET=utf8mb4";
            
if (mysqli_query($DB, $sql)) echo "Таблица <strong>lastvisits</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>lastvisits</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table likes (
id_item INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_from MEDIUMINT UNSIGNED NOT NULL,
id_msg MEDIUMINT UNSIGNED NOT NULL,
value TINYINT NOT NULL
) DEFAULT CHARSET=utf8mb4";
            
if (mysqli_query($DB, $sql)) echo "Таблица <strong>likes</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>likes</strong>: ".mysqli_error($DB);   
echo '<br>';

$sql = "create table quest (
id_item MEDIUMINT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
id_author MEDIUMINT UNSIGNED NOT NULL,
ans1 varchar(1000) NOT NULL default '0',
ans2 varchar(1000) NOT NULL default '0',
ans3 varchar(1000) NOT NULL default '0',
ans4 varchar(1000) NOT NULL default '0',
ans5 varchar(1000) NOT NULL default '0',
ans6 varchar(1000) NOT NULL default '0',
ans7 varchar(1000) NOT NULL default '0',
ans8 varchar(1000) NOT NULL default '0',
ans9 varchar(1000) NOT NULL default '0',
ans10 varchar(1000) NOT NULL default '0',
ans11 varchar(1000) NOT NULL default '0',
ans12 varchar(1000) NOT NULL default '0'
) DEFAULT CHARSET=utf8mb4";
                
if (mysqli_query($DB, $sql)) echo "Таблица <strong>quest</strong> успешно создана";
else echo "Ошибка создания таблицы <strong>quest</strong>: ".mysqli_error($DB);   
echo '<br>';

}
mysqli_close($DB);
?>